Add presubmit.sh, remove CI
diff --git a/.cirrus.yml b/.cirrus.yml
deleted file mode 100644
index cb21395..0000000
--- a/.cirrus.yml
+++ /dev/null
@@ -1,21 +0,0 @@
-task:
-  container:
-    cpu: 4
-    memory: 8G
-  upgrade_script:
-    - ./ci/setup.sh
-  matrix:
-    - name: analyze
-      script: ./ci/analyze.sh
-    - name: test
-      script: ./ci/test.sh
-      depends_on:
-        - analyze
-    - name: publishable
-      script: ./ci/check_publish.sh
-      depends_on:
-        - analyze
-    - name: format
-      format_script: ./ci/format.sh
-      depends_on:
-        - analyze
\ No newline at end of file
diff --git a/README.md b/README.md
index e542b40..5211de0 100644
--- a/README.md
+++ b/README.md
@@ -1,7 +1,5 @@
 # Process
 
-![Build Status - Cirrus][]
-
 A process runner for Dart that uses the
 [`ProcessManager`](https://github.com/google/process.dart/blob/master/lib/src/interface/process_manager.dart#L21)
 class from [`package:process`](https://pub.dev/packages/process), and manages
@@ -42,5 +40,3 @@
     print('\nFinished job ${job.name}');
   }
 ```
-
-[Build Status - Cirrus]: https://api.cirrus-ci.com/github/google/process_runner.svg
diff --git a/ci/presubmit.sh b/ci/presubmit.sh
new file mode 100755
index 0000000..c369442
--- /dev/null
+++ b/ci/presubmit.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+# Copyright 2020 The Flutter Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Fast fail the script on failures.
+set -e
+
+# This script checks to make sure that each of the plugins *could* be published.
+# It doesn't actually publish anything.
+
+unset CDPATH
+
+# So that developers can run this script from anywhere and it will work as
+# expected.
+SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null && pwd)"
+REPO_DIR="$(dirname "$SCRIPT_DIR")"
+
+cd "$SCRIPT_DIR"
+
+./setup.sh > /dev/null 2>&1
+./analyze.sh && ./format.sh && ./test.sh && ./check_publish.sh
\ No newline at end of file